com.buschmais.jqassistant.plugin.junit.impl.schema

## Class ObjectFactory

- java.lang.Object
- - com.buschmais.jqassistant.plugin.junit.impl.schema.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the com.buschmais.jqassistant.plugin.junit.impl.schema package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `Property` | `create` Create an instance of `Property`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.buschmais.jqassistant.plugin.junit.impl.schema

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Error` | `createError()` Create an instance of `Error`
    `Failure` | `createFailure()` Create an instance of `Failure`
    `Properties` | `createProperties()` Create an instance of `Properties`
    `Property` | `createProperty()` Create an instance of `Property`
    `JAXBElement<String>` | `createSkipped(String value)` Create an instance of `JAXBElement``<``String``>`}
    `JAXBElement<String>` | `createSystemErr(String value)` Create an instance of `JAXBElement``<``String``>`}
    `JAXBElement<String>` | `createSystemOut(String value)` Create an instance of `JAXBElement``<``String``>`}
    `Testcase` | `createTestcase()` Create an instance of `Testcase`
    `Testsuite` | `createTestsuite()` Create an instance of `Testsuite`
    `Testsuites` | `createTestsuites()` Create an instance of `Testsuites`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### create

          public Property createProperty

      Create an instance of `Property`

  - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.buschmais.jqassistant.plugin.junit.impl.schema

  - ### Method Detail

    - #### createTestsuite

          public Testsuite createTestsuite()

      Create an instance of `Testsuite`

    - #### createProperties

          public Properties createProperties()

      Create an instance of `Properties`

    - #### createProperty

          public Property createProperty()

      Create an instance of `Property`

    - #### createTestcase

          public Testcase createTestcase()

      Create an instance of `Testcase`

    - #### createError

          public Error createError()

      Create an instance of `Error`

    - #### createFailure

          public Failure createFailure()

      Create an instance of `Failure`

    - #### createTestsuites

          public Testsuites createTestsuites()

      Create an instance of `Testsuites`

    - #### createSystemErr

          public JAXBElement<String> createSystemErr(String value)

      Create an instance of `JAXBElement``<``String``>`}

    - #### createSkipped

          public JAXBElement<String> createSkipped(String value)

      Create an instance of `JAXBElement``<``String``>`}

    - #### createSystemOut

          public JAXBElement<String> createSystemOut(String value)

      Create an instance of `JAXBElement``<``String``>`}

Copyright © 2015 buschmais GbR. All rights reserved.